package org.mentalog.encoder;

import java.nio.ByteBuffer;

import org.mentalog.AsciiEncodable;

public class AsciiEncoder implements Encoder {
	
	@Override
	public boolean encode(Object obj, ByteBuffer bb, int varargsPos, int varargsLen) {
		
		if (obj instanceof AsciiEncodable) {
			AsciiEncodable asciiEncodable = (AsciiEncodable) obj;
			asciiEncodable.toAscii(bb);
			return true;
		}
		return false;
	}
}